---
title: "close"
subtitle: "Function in std::sketch"
excerpt: "Construct a line segment from the current origin back to the profile's origin, ensuring the resulting 2-dimensional sketch is not open-ended."
layout: manual
---

Construct a line segment from the current origin back to the profile's origin, ensuring the resulting 2-dimensional sketch is not open-ended.

```kcl
close(
  @sketch: Sketch,
  tag?: TagDeclarator,
): Sketch
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `sketch` | [`Sketch`](/docs/kcl-std/types/std-types-Sketch) | The sketch you want to close | Yes |
| [`tag`](/docs/kcl-std/types/std-types-tag) | [`TagDeclarator`](/docs/kcl-lang/types#TagDeclarator) | Create a new tag which refers to this line | No |

### Returns

[`Sketch`](/docs/kcl-std/types/std-types-Sketch) - A sketch is a collection of paths.


### Examples

```kcl
startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(end = [10, 10])
  |> line(end = [10, 0])
  |> close()
  |> extrude(length = 10)
```

![Rendered example of close 0](data:image/png;base64,[encoded data, 73616 characters])

```kcl
exampleSketch = startSketchOn(-XZ)
  |> startProfile(at = [0, 0])
  |> line(end = [10, 0])
  |> line(end = [0, 10])
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of close 1](data:image/png;base64,[encoded data, 97916 characters])


